MySQL Install Error

Discussion in 'Plesk Automation Suggestions and Feedback' started by Delford_Chaffin, Mar 29, 2016.

  1. Delford_Chaffin

    Delford_Chaffin Bit Poster

    Messages:
    8
    I'm setting up a new PA 11.5 install. I have a CentOS service node that I'm trying to add the MySQL package to. I had it, but it was only v5.1 and I tried to upgrade to at least 5.5 and I have now gotten to a place where my Plesk is not wanting to install the package at all.

    When I try to reinstall ppa_mysql55 on that server, I get:

    Package installation failed ...

    Installation of package ppa_mysql 1.5 (id=674) to host h-linux-01.omniperforms.com (id=4) was failed. Reason: Command '/bin/bash /usr/local/pem/mysql_installer.sh' execution failed with code 1: --2016-03-29 14:18:28-- http://download.automation.odin.com/ppa/11.5/installers/ppa_common.sh
    Resolving download.automation.odin.com... 199.115.104.94
    Connecting to download.automation.odin.com|199.115.104.94|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 10344 (10K) [application/octet-stream]
    Saving to: “ppa_common.sh”

    0K .......... 100% 1.98M=0.005s

    2016-03-29 14:18:28 (1.98 MB/s) - “ppa_common.sh” saved [10344/10344]

    --2016-03-29 14:18:28-- http://download.automation.odin.com/ppa/11.5/installers/ppa_mysql_general.sh
    Resolving download.automation.odin.com... 199.115.104.94
    Connecting to download.automation.odin.com|199.115.104.94|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 3248 (3.2K) [application/octet-stream]
    Saving to: “ppa_mysql_general.sh”

    0K ... 100% 670K=0.005s

    2016-03-29 14:18:28 (670 KB/s) - “ppa_mysql_general.sh” saved [3248/3248]

    --2016-03-29 14:18:28-- http://download.automation.odin.com/ppa/11.5/installers/ppa_mysql5x_installer.sh
    Resolving download.automation.odin.com... 199.115.104.94
    Connecting to download.automation.odin.com|199.115.104.94|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 99 [application/octet-stream]
    Saving to: “ppa_mysql5x_installer.sh”

    0K 100% 13.7M=0s

    2016-03-29 14:18:29 (13.7 MB/s) - “ppa_mysql5x_installer.sh” saved [99/99]

    cat: /usr/local/psa/version: No such file or directory
    |STDOUT [Tue 29 Mar 2016 02:18:29 PM EDT][INFO] Running PPA service node installation...
    [Tue 29 Mar 2016 02:18:29 PM EDT][INFO] Check that current user has superuser privileges...
    [Tue 29 Mar 2016 02:18:29 PM EDT][INFO] Check OS requirements...
    [Tue 29 Mar 2016 02:18:29 PM EDT][INFO] OS name: CentOS release 6.7 (Final) Kernel \r on an \m
    [Tue 29 Mar 2016 02:18:29 PM EDT][INFO] Checking that SELinux is switched off...
    [Tue 29 Mar 2016 02:18:29 PM EDT][INFO] Checking hostname...
    [Tue 29 Mar 2016 02:18:29 PM EDT][INFO] Checking that VZ offline management is disabled...
    [Tue 29 Mar 2016 02:18:29 PM EDT][INFO] Install package dependencies...
    [Tue 29 Mar 2016 02:18:29 PM EDT][INFO] Downloading Plesk autoinstaller...
    [Tue 29 Mar 2016 02:18:30 PM EDT][INFO] Running Plesk autoinstaller...
    [Tue 29 Mar 2016 02:18:30 PM EDT][INFO] Set option '--set-feedback-product ppa-sn' to report product errors...
    [Tue 29 Mar 2016 02:18:30 PM EDT][INFO] /usr/local/pem/var/cores/parallels_installer --set-feedback-product ppa-sn
    [Tue 29 Mar 2016 02:18:30 PM EDT][INFO] Set option '--enable-feedback' to enable reporting product errors...
    [Tue 29 Mar 2016 02:18:30 PM EDT][INFO] /usr/local/pem/var/cores/parallels_installer --enable-feedback
    [Tue 29 Mar 2016 02:18:30 PM EDT][INFO] Upgrading Plesk...
    0
    packag
     
  2. Delford_Chaffin

    Delford_Chaffin Bit Poster

    Messages:
    8
    When I try to open up mysql_installer.sh and run the commands in it, I end up with:

    Exception: Failed to solve dependenices:
    pp11.5.50-bootstrapper-11.5.50-cos6.build115140903.13.x86_64 requires mysql-server >= 5.0.60

    ERROR: The Yum utility failed to install the required packages.
    Attention! Your software might be inoperable.
     
  3. Delford_Chaffin

    Delford_Chaffin Bit Poster

    Messages:
    8
    Now, I'm getting (also get this when running yum update):


    Running rpm_check_debug
    Running Transaction Test

    Transaction Check Error:

    file /usr/lib64/mysql/libmysqlclient.so.16.0.0 from install of mysql-libs-5.1.73-5.el6_7.1.x86_64 conflicts with file from package mysqlclient16-5.1.59-2.el6.art.x86_64

    file /usr/lib64/mysql/libmysqlclient_r.so.16.0.0 from install of mysql-libs-5.1.73-5.el6_7.1.x86_64 conflicts with file from package mysqlclient16-5.1.59-2.el6.art.x86_64
     
  4. SteveITS

    SteveITS Tera Poster

    Messages:
    277
    This doesn't really answer your question, but since we started before the MySQL 5.5 package existed, I have always added a node using the "Apache web server / MySQL database server" role, added the Atomic repository and installer to upgrade to 5.5, and then removed that repo. If I recall correctly that's what the PPA MySQL 5.5 package uses because I recall seeing a bugfix that future updates didn't work if the Atomic repo was still active.
     

Share This Page